<?php

/**
 * Theme version.
 * 
 * @since 2.0.0
 * @var string GF_VERSION
 */
define( 'GF_VERSION', '2.0.2' );

// Requires theme functionality, in the specified order
require get_theme_file_path( '/inc/sanitation-callbacks.php' );
require get_theme_file_path( '/inc/init.php' );
require get_theme_file_path( '/inc/wp-head.php' );
require get_theme_file_path( '/inc/widgets-init.php' );
require get_theme_file_path( '/inc/after-setup-theme.php' );
require get_theme_file_path( '/inc/wp-enqueue-scripts.php' );
require get_theme_file_path( '/inc/customize-register.php' );
require get_theme_file_path( '/inc/filters.php' );
require get_theme_file_path( '/inc/jetpack.php' );
require get_theme_file_path( '/inc/class-gf-bootstrap-walker-nav-menu.php' );

if ( ! function_exists( 'go_first_pre_get_posts' ) ) {
	/**
	 * Alters the main query in the blog page when the Featured Story and Top Stories 
	 * are set to be displayed in the Customizer.
	 *
	 * @since 2.0.0
	 * @param WP_Query $query
	 */
	function go_first_pre_get_posts( $query ) {
		if ( ! is_admin() && $query->is_home() && $query->is_main_query() ) {
			$sticky_posts_ids 	= get_option( 'sticky_posts' );
			$show_featured 		= get_theme_mod( 'show_featured' );
			$show_top_stories 	= get_theme_mod( 'show_top_stories' );

			if ( ! empty( $sticky_posts_ids ) && ( ! empty( $show_featured ) || ! empty( $show_top_stories ) ) ) {
				$query->set( 'ignore_sticky_posts', true );
			}
		}
	}

	add_action( 'pre_get_posts', 'go_first_pre_get_posts' );
}

// If not set, sets content width
if ( ! isset( $content_width ) ) {
	$content_width = 850;
}
