<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
	<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
	<?php 
		$navbar_expand = get_theme_mod( 'navbar_expand' );
		
		switch ( $navbar_expand ) {
			case 'sm':
				$navbar_expand_class = 'navbar-expand-sm';
				break;
			case 'md':
				$navbar_expand_class = 'navbar-expand-md';
				break;
			case 'lg':
			default:
				$navbar_expand_class = 'navbar-expand-lg';
				break;
			case 'xl':
				$navbar_expand_class = 'navbar-expand-xl';
				break;
		}
	?>
	<nav class="<?php echo esc_attr( sprintf( 'navbar fixed-top %s navbar-light gf-navbar', $navbar_expand_class ) ); ?>" id="gf-navbar">
		<a href="<?php echo esc_url( site_url( '/' ) ); ?>" class="navbar-brand" title="<?php bloginfo( 'name' ); ?>">
			<?php if ( has_custom_logo() ): ?>
				<?php 
					$custom_logo_id 	= get_theme_mod( 'custom_logo' );
					$custom_logo_url 	= wp_get_attachment_image_url( $custom_logo_id, 'full' );
				?>
				<img src="<?php echo esc_url( $custom_logo_url ); ?>" alt="<?php bloginfo( 'name' ); ?>">
			<?php else: ?>
				<?php bloginfo( 'name' ); ?>
			<?php endif; ?>
		</a>
		<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#gf-main-menu-content" aria-controls="gf-main-menu-content" aria-expanded="false" aria-label="<?php esc_attr_e( 'Toogle navigation', 'go-first' ); ?>">
			<span class="navbar-toggler-icon"></span>
		</button>
		<div class="collapse navbar-collapse" id="gf-main-menu-content">
			<?php 
				wp_nav_menu( array(
					'menu_class'		=> 'navbar-nav gf-main-menu',
					'menu_id'			=> 'gf-main-menu',
					'container' 		=> false,
					'fallback_cb' 		=> false,
					'depth' 			=> 2,
					'walker' 			=> new GF_Bootstrap_Walker_Nav_Menu(),
					'theme_location' 	=> 'main-menu',
				) );
			?>
			<div class="gf-navbar-search-form" id="gf-navbar-search-form"><?php get_search_form(); ?></div>
			<button class="btn btn-link gf-navbar-search-form-opener" id="gf-navbar-search-form-opener">
				<i class="fas fa-search fa-lg"></i>
			</button>
		</div>
	</nav>
	<?php if ( display_header_text() ): ?>
		<div class="container">
			<div class="row">
				<div class="col">
					<p class="lead"><?php bloginfo( 'description' ); ?></p>
				</div>
			</div>
		</div>
	<?php endif; ?>
