<?php 
	get_header(); 
	$hide_sidebar 		= get_theme_mod( 'hide_sidebar' );
	$show_featured 		= get_theme_mod( 'show_featured' );
	$show_top_stories 	= get_theme_mod( 'show_top_stories' );
	$featured_story_id 	= get_theme_mod( 'featured_story_id' );
	$sticky_posts_ids 	= get_option( 'sticky_posts' );
?>
<?php if ( ! empty( $show_featured ) && ! empty( $featured_story_id ) ): ?>
	<?php 
		$featured_story_query = new WP_Query( array(
			'p' 			=> $featured_story_id,
			'post_status' 	=> 'publish',
		) );
	?>
	<?php if ( $featured_story_query->have_posts() ): ?>
		<section>
			<div class="container">
				<div class="row">
					<div class="col">
						<?php while ( $featured_story_query->have_posts() ): $featured_story_query->the_post(); ?>
							<?php get_template_part( 'template-parts/content', 'featured-story' ); ?>
						<?php endwhile; wp_reset_postdata(); ?>
					</div>
				</div>
			</div>
		</section>
	<?php endif; ?>
<?php endif; ?>
<?php if ( ! empty( $show_top_stories ) && ! empty( $sticky_posts_ids ) ): ?>
	<section class="gf-section">
		<div class="container">
			<div class="row">
				<div class="col">
					<h1 class="gf-title mb-4"><?php esc_html_e( 'Top Stories', 'go-first' ); ?></h1>
					<?php
						// Reverse the sticky posts ids array to get only the most recent.
						rsort( $sticky_posts_ids );
						
						// Slice the sticky posts ids array to get only three.
						$sticky_posts_ids = array_slice( $sticky_posts_ids, 0, 3 );
						
						$top_stories_query = new WP_Query( array(
							'post_status'    		=> 'publish',
							'posts_per_page'		=> -1,
							'post__in' 		 		=> $sticky_posts_ids,
							'ignore_sticky_posts' 	=> true,
						) );
					?>
					<?php if ( $top_stories_query->have_posts() ): ?>
						<div class="row">
							<?php while ( $top_stories_query->have_posts() ): $top_stories_query->the_post(); ?>
								<div class="col-12 col-sm-12 col-md-4 col-lg-4 col-xl-4">
									<?php get_template_part( 'template-parts/content', 'top-stories' ); ?>		
								</div>
							<?php endwhile; wp_reset_postdata(); ?>
						</div>
					<?php else: ?>
						<?php get_template_part( 'template-parts/content', 'none' ); ?>
					<?php endif; ?>
				</div>
			</div>
		</div>
	</section>
<?php endif; ?>
<section class="gf-section">
	<div class="container">
		<div class="row">
			<?php $class = ( ! empty( $hide_sidebar ) ) ? 'col' : 'col-12 col-sm-12 col-md-12 col-lg-8 col-xl-9'; ?>
			<div class="<?php echo esc_attr( $class ); ?>">
				<h1 class="gf-title mb-4"><?php esc_html_e( 'All Stories', 'go-first' ); ?></h1>
				<?php if ( have_posts() ): ?>
					<div id="gf-content">
						<?php while ( have_posts() ): the_post(); ?>
							<?php get_template_part( 'template-parts/content' ); ?>
						<?php endwhile; ?>
					</div>
					<div class="content-pagination">
						<?php
							$args = array(
								'prev_text' => '&laquo',
								'next_text' => '&raquo',
							);
						
							the_posts_pagination( $args );
						?>
					</div>
				<?php else: ?>
					<?php get_template_part( 'template-parts/content', 'none' ); ?>
				<?php endif; ?>
			</div>
			<?php if ( empty( $hide_sidebar ) ): ?>
				<div class="col-12 col-sm-12 col-md-12 col-lg-4 col-xl-3">
					<?php get_sidebar(); ?>
				</div>	
			<?php endif; ?>
		</div>
	</div>
</section>
<?php get_footer(); ?>
