<?php

if ( ! function_exists( 'go_first_init' ) ) {
	/**
	 * Initializes the theme.
	 *
	 * @since 1.0.0
	 * @since 2.0.0 Sets the featured_story_id theme mod according to certain conditions.
	 */
	function go_first_init() {
		$featured_story_id = (int) get_theme_mod( 'featured_story_id' );
		
		if ( 'publish' !== get_post_status( $featured_story_id ) || ! is_sticky( $featured_story_id ) ) {
			set_theme_mod( 'featured_story_id', '' );
		}

		// Menus
		register_nav_menus( array(
			'main-menu' => __( 'Main Menu', 'go-first' )
		) );
	}

	// init action hook.
	add_action( 'init', 'go_first_init' );
}
