<?php

if ( ! function_exists( 'go_first_jetpack_infinite_scroll' ) ) {
    /**
     * Adds support for Jetpack infinite scroll.
     *
     * @since 2.0.0
     */
    function go_first_jetpack_infinite_scroll() {
        add_theme_support( 'infinite-scroll', array(
            'container' => 'gf-content',
            'type'      => 'click',
            'render'    => 'go_first_jetpack_infinite_scroll_render',
        ) );
    }

    add_action( 'after_setup_theme', 'go_first_jetpack_infinite_scroll' );
}

if ( ! function_exists( 'go_first_jetpack_infinite_scroll_render' ) ) {
    /**
     * Renders posts appended by Jetpack infinite scroll.
     *
     * @since 2.0.0
     */
    function go_first_jetpack_infinite_scroll_render() {
        while ( have_posts() ) {
            the_post();
            get_template_part( 'template-parts/content', get_post_format() );
        }
    }
}
