<?php

if ( ! function_exists( 'go_first_widgets_init' ) ) {
	/**
	 * Defines the initialization of the widgets area.
	 *
	 * Currently just with a description text.
	 *
	 * @since 1.0.0
	 */
	function go_first_widgets_init() {
		// Blog Sidebar
		register_sidebar( array(
			'id'            => 'sidebar-1',
			'name'          => __( 'Blog Sidebar', 'go-first' ),
			'before_widget' => '<div id="%1$s" class="gf-widget">',
		 	'after_widget'  => '</div>',
		 	'before_title'  => '<h3 class="gf-title gf-widget__title">',
		 	'after_title'   => '</h3>',
		 	'description'   => __( 'Add widgets here to appear in your sidebar on blog posts and archive pages.', 'go-first' ),
		) );
		
		// Footer Widgets
		register_sidebars( 4, array(
			'id'            => 'footer-widget-area',
			/* translators: %d: area number */
			'name'          => __( 'Footer Widget Area %d', 'go-first' ),
			'before_widget' => '<div id="%1$s" class="gf-widget">',
		 	'after_widget'  => '</div>',
		 	'before_title'  => '<h3 class="gf-title gf-widget__title">',
		 	'after_title'   => '</h3>',
		) );
	}

	// widgets_init action hook.
	add_action( 'widgets_init', 'go_first_widgets_init' );
}
