<?php

if ( ! function_exists( 'go_first_enqueue_scripts' ) ) {
	/**
	 * Registers the scripts that will be used at the frontend of the theme.
	 *
	 * @since 1.0.0
	 */
	function go_first_enqueue_scripts() {
		// Register styles
		wp_register_style( 'go-first-google-fonts', 'https://fonts.googleapis.com/css?family=Roboto:300,400,700' );
		wp_register_style( 'go-first-bootstrap', get_theme_file_uri( '/assets/lib/bootstrap/css/bootstrap.css' ), array(), '4.3.1' );
		wp_register_style( 'go-first-font-awesome', get_theme_file_uri( '/assets/lib/fontawesome/css/all.css' ), array(), '5.8.1' );
		wp_register_style( 'go-first-style', get_stylesheet_uri(), array(), GF_VERSION );

		// Enqueue styles
		wp_enqueue_style( 'go-first-google-fonts' );
		wp_enqueue_style( 'go-first-bootstrap' );
		wp_enqueue_style( 'go-first-font-awesome' );
		wp_enqueue_style( 'go-first-style' );

		// Register scripts
		wp_register_script( 'go-first-bootstrap', get_theme_file_uri( '/assets/lib/bootstrap/js/bootstrap.bundle.js' ), array( 'jquery' ), '4.3.1', true );
		wp_register_script( 'go-first-header', get_theme_file_uri( '/assets/js/header.js' ), array( 'jquery' ), GF_VERSION, true );
		wp_register_script( 'go-first-footer', get_theme_file_uri( '/assets/js/footer.js' ), array( 'jquery' ), GF_VERSION, true );
		wp_register_script( 'go-first-widgets', get_theme_file_uri( '/assets/js/widgets.js' ), array( 'jquery' ), GF_VERSION, true );

		// Enqueue scripts
		wp_enqueue_script( 'go-first-bootstrap' );
		wp_enqueue_script( 'go-first-header' );
		wp_enqueue_script( 'go-first-footer' );
		wp_enqueue_script( 'go-first-widgets' );

		if ( is_singular() ) {
			wp_enqueue_script( 'comment-reply' );
		}
	}

	// wp_enqueue_scripts action hook.
	add_action( 'wp_enqueue_scripts', 'go_first_enqueue_scripts' );
}
